<!DOCTYPE html>
<html>
<head>
	<title>Objeto XMLHTTPRequest</title>
	<script type="text/javascript">
		function enPantalla(text){
			let element = document
						.getElementById('container');
			element.textContent = text;
		}

		function enconsola(text){
			console.log(text)
		}
	</script>
</head>
<body>
	<section id="container">
		Respuesta a petición:
	</section>

	<script type="text/javascript">	
		const req = new XMLHttpRequest();
		req.addEventListener('load', () => {
				// Procesa los datos de devolucion si el estatus es 200
				if(req.status===200){
					// que se tiene que hacer con los datos

					//Formato texto
					enconsola(req.responseText);
					//Formanto json
					enconsola(JSON.parse(req.responseText));
					enPantalla(req.responseText);
				}else{
					// que hacemos cuando falla
					enconsola( [req.status,req.statusText] );
				}
		});

		req.addEventListener('error', ()=>{
			enconsola('Error de red');
		});

		//se abre una nueva solicitud ASINCRONA [true]
		req.open('GET', 'https://jsonplaceholder.typicode.com/posts', true ); 
		req.send(null);
	</script>
</body>
</html>